<form class="form-horizontal" method="POST">
    <fieldset>
    
    <!-- Form Name -->
    <!-- <legend>Form Name</legend> -->
    
    <!-- Multiple Radios -->
    <div class="form-group">
        <label class="col-md-4 control-label" for="radios">Action</label>
        <div class="col-md-4">
        <div class="radio">
        <label for="radios-0">
            <input type="radio" name="action" id="radios-0" value="snapshot" checked="checked">
            Snapshot
        </label>
        </div>
        <div class="radio">
        <label for="radios-1">
            <input type="radio" name="action" id="radios-1" value="compare">
            Compare
        </label>
        </div>
        </div>
    </div>
    
    <!-- Multiple Checkboxes -->
    <div class="form-group">
        <label class="col-md-4 control-label" for="checkboxes">Profile</label>
        <div class="col-md-4">
        <div class="checkbox">
        <label for="checkboxes-0">
            <input type="checkbox" name="profiles" id="checkboxes-0" value="config">
            config
        </label>
        </div>
        <div class="checkbox">
        <label for="checkboxes-1">
            <input type="checkbox" name="profiles" id="checkboxes-1" value="interface">
            interface
        </label>
        </div>
        <div class="checkbox">
        <label for="checkboxes-2">
            <input type="checkbox" name="profiles" id="checkboxes-2" value="platform">
            platform
        </label>
        </div>
        <div class="checkbox">
        <label for="checkboxes-3">
            <input type="checkbox" name="profiles" id="checkboxes-3" value="ospf">
            ospf
        </label>
        </div>
        <div class="checkbox">
        <label for="checkboxes-4">
            <input type="checkbox" name="profiles" id="checkboxes-4" value="bgp">
            bgp
        </label>
        </div>
        <div class="checkbox">
        <label for="checkboxes-5">
            <input type="checkbox" name="profiles" id="checkboxes-5" value="lldp">
            lldp
        </label>
        </div>
        <div class="checkbox">
        <label for="checkboxes-6">
            <input type="checkbox" name="profiles" id="checkboxes-6" value="routing">
            routing
        </label>
        </div>
        <div class="checkbox">
        <label for="checkboxes-7">
            <input type="checkbox" name="profiles" id="checkboxes-7" value="static_routing">
            static_routing
        </label>
        </div>
        <div class="checkbox">
        <label for="checkboxes-8">
            <input type="checkbox" name="profiles" id="checkboxes-8" value="arp">
            arp
        </label>
        </div>
        <div class="checkbox">
        <label for="checkboxes-9">
            <input type="checkbox" name="profiles" id="checkboxes-9" value="vlan">
            vlan
        </label>
        </div>
        <div class="checkbox">
        <label for="checkboxes-10">
            <input type="checkbox" name="profiles" id="checkboxes-10" value="vxlan">
            vxlan
        </label>
        </div>
        <div class="checkbox">
        <label for="checkboxes-11">
            <input type="checkbox" name="profiles" id="checkboxes-11" value="stp">
            stp
        </label>
        </div>
        <div class="checkbox">
        <label for="checkboxes-12">
            <input type="checkbox" name="profiles" id="checkboxes-12" value="hsrp">
            hsrp
        </label>
        </div>
        <div class="checkbox">
        <label for="checkboxes-13">
            <input type="checkbox" name="profiles" id="checkboxes-13" value="ntp">
            ntp
        </label>
        </div>
        <div class="checkbox">
        <label for="checkboxes-14">
            <input type="checkbox" name="profiles" id="checkboxes-14" value="vrf">
            vrf
        </label>
        </div>
        </div>
    </div>
    
    <!-- Multiple Radios (inline) -->
    <div class="form-group">
        <label class="col-md-4 control-label" for="radios1">Select</label>
        <div class="col-md-4"> 
        <label class="radio-inline" for="radios1-0">
            <input type="radio" name="select_type" id="radios1-0" value="group" checked="checked">
            Groups
        </label> 
        <label class="radio-inline" for="radios1-1">
            <input type="radio" name="select_type" id="radios1-1" value="hosts">
            Hosts
        </label>
        </div>
    </div>
    
    <!-- Select Multiple -->
    <div class="form-group">
        <label class="col-md-4 control-label" for="selectmultiple">Groups</label>
        <div class="col-md-4">
        <select id="selectmultiple" name="groups" class="form-control" multiple="multiple">
            {% for group in groups %}
            <option value="{{group}}">{{group}}</option>
            {% endfor %}
        </select>
        </div>
    </div>
    
    <!-- Select Multiple -->
    <div class="form-group">
        <label class="col-md-4 control-label" for="selectmultiple">Hosts</label>
        <div class="col-md-4">
        <select id="selectmultiple" name="hosts" class="form-control" multiple="multiple">
            {% for host in hosts %}
            <option value="{{host}}">{{host}}</option>
            {% endfor %}
        </select>
        </div>
    </div>

    <!-- Workers input-->
    <div class="form-group">
        <label class="col-md-4 control-label" for="numberinput">Workers</label>  
        <div class="col-md-4">
            <input id="numberinput" name="workers" type="number"  class="form-control input-md" required="">  
        </div>  
  </div>


    <!-- Button -->
    <div class="form-group">
        <label class="col-md-4 control-label" for="singlebutton"></label>
        <div class="col-md-4">
        <button id="singlebutton" name="singlebutton" class="btn btn-primary">Execute</button>
        </div>
    </div>
    
    </fieldset>
    </form>
    